Subject: Re: What's cooking in git.git (Apr 2016, #06; Thu, 21)

From: Junio C Hamano <[email-masked]>
Date: Fri, 22 Apr 2016 10:23:54 -0700

Torsten Bögershausen <[email-masked]> writes:

> * tb/convert-eol-autocrlf (2016-04-19) 4 commits
>  - convert.c: ident + core.autocrlf didn't work
>  - t0027: test cases for combined attributes
>  - convert: allow core.autocrlf=input and core.eol=crlf
>  - t0027: avoid false "unchanged" due to lstat() matching after a change
>
>  Setting core.autocrlf to 'input' and core.eol to 'crlf' used to be
>  rejected, but because the code gives precedence to core.autcrlf,
>  there is no need to, hence we no longer reject the combination.
>
>  Will merge to 'next'.
> I know that I asked for an early merge of 4/4, but there is a new version
> with a fix for the leaking filter coming out this evening, european time.
> Please hold it.

I'll drop what has been queued and wait for a reroll.

Thanks.